AggregatedRepoDescriptor
Date: 2014-12-13

org.apache.ivy.osgi.repo

## Class AggregatedRepoDescriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor
  - - org.apache.ivy.osgi.repo.AggregatedRepoDescriptor

-     public class AggregatedRepoDescriptor
      extends RepoDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatedRepoDescriptor(java.util.List<RepoDescriptor> repos)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<ModuleDescriptorWrapper>` | `findModules(java.lang.String requirement, java.lang.String value)`
    `java.util.Set<java.lang.String>` | `getCapabilities()`
    `java.util.Set<java.lang.String>` | `getCapabilityValues(java.lang.String capabilityName)`
    `java.util.Iterator<ModuleDescriptorWrapper>` | `getModules()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedRepoDescriptor

          public AggregatedRepoDescriptor(java.util.List<RepoDescriptor> repos)

  - ### Method Detail

    - #### getModules

          public java.util.Iterator<ModuleDescriptorWrapper> getModules()

      Specified by:
        `getModules` in class `RepoDescriptor`

    - #### getCapabilities

          public java.util.Set<java.lang.String> getCapabilities()

      Specified by:
        `getCapabilities` in class `RepoDescriptor`

    - #### findModules

          public java.util.Set<ModuleDescriptorWrapper> findModules(java.lang.String requirement,
                                                           java.lang.String value)

      Specified by:
        `findModules` in class `RepoDescriptor`

    - #### getCapabilityValues

          public java.util.Set<java.lang.String> getCapabilityValues(java.lang.String capabilityName)

      Specified by:
        `getCapabilityValues` in class `RepoDescriptor`